FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202007282041.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007282041.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=f5f0253 OS_GIT_VERSION=4.5.0-202007282041.p0-f5f0253 SOURCE_DATE_EPOCH=1595964086 SOURCE_GIT_COMMIT=f5f0253c428d50da5575651f227e1cb1d227cdf4 SOURCE_GIT_TAG=v0.0.0-alpha.0-323-gf5f0253c SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-controller-manager-operator 
WORKDIR /go/src/github.com/openshift/cluster-openshift-controller-manager-operator
COPY . .
RUN make

FROM openshift/ose-base:v4.5.0-202007281519.p0
ENV __doozer=update BUILD_RELEASE=202007282041.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007282041.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=f5f0253 OS_GIT_VERSION=4.5.0-202007282041.p0-f5f0253 SOURCE_DATE_EPOCH=1595964086 SOURCE_GIT_COMMIT=f5f0253c428d50da5575651f227e1cb1d227cdf4 SOURCE_GIT_TAG=v0.0.0-alpha.0-323-gf5f0253c SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-controller-manager-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-openshift-controller-manager-operator/cluster-openshift-controller-manager-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_50_cluster-openshift-controller-manager-operator_02_config.crd.yaml /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-openshift-controller-manager-operator" \
        com.redhat.component="ose-cluster-openshift-controller-manager-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="openshift-controller-manager" \
        release="202007282041.p0" \
        io.openshift.build.commit.id="f5f0253c428d50da5575651f227e1cb1d227cdf4" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-openshift-controller-manager-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-openshift-controller-manager-operator/commit/f5f0253c428d50da5575651f227e1cb1d227cdf4" \
        version="v4.5.0"

